angular.module('checklistApp', ['ionic','ionic.utils', 'checklist.controllers','ngCordova'])

.run(function($ionicPlatform, $cordovaAdMob, $window) {
  $ionicPlatform.ready(function() {
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      StatusBar.styleDefault();
    }
    if (typeof analytics !== 'undefined'){
      analytics.startTrackerWithId('UA-59695743-1');
      analytics.trackView('Application Started');
    }

 var admobid = {};
      if( /(android)/i.test(navigator.userAgent) ) { // for android
          admobid = {
              banner: 'ca-app-pub-6591178006817036/9367836493', // or DFP format "/6253334/dfp_example_ad"
              interstitial: 'ca-app-pub-6591178006817036/3600504490'
          };
      } else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) { // for ios
          admobid = {
              banner: 'ca-app-pub-6591178006817036/9367836493', // or DFP format "/6253334/dfp_example_ad"
              interstitial: 'ca-app-pub-6591178006817036/3600504490'
          };
      } else { // for windows phone
          admobid = {
              banner: 'ca-app-pub-6591178006817036/9367836493', // or DFP format "/6253334/dfp_example_ad"
              interstitial: 'ca-app-pub-6591178006817036/3600504490'
          };
      }

      if(typeof AdMob !== "undefined") AdMob.prepareInterstitial( {adId:admobid.interstitial, autoShow:true} );
    
   }); 

})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html",
  })

  .state('app.numbers', {
    url: "/numbers",
    views: {
      'menuContent': {
        templateUrl: "templates/numbers.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

  .state('app.settings', {
    url: "/settings",
    views: {
      'menuContent': {
        templateUrl: "templates/settings.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

  .state('app.about', {
    url: "/about",
    views: {
      'menuContent': {
        templateUrl: "templates/about.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

  .state('app.checklists', {
    url: "/checklists",
    views: {
      'menuContent': {
        templateUrl: "templates/checklists.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

  .state('app.checklist1', {
    url: "/1",
    views: {
      'menuContent': {
        templateUrl: "templates/1.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist2', {
    url: "/2",
    views: {
      'menuContent': {
        templateUrl: "templates/2.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist3', {
    url: "/3",
    views: {
      'menuContent': {
        templateUrl: "templates/3.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist4', {
    url: "/4",
    views: {
      'menuContent': {
        templateUrl: "templates/4.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist5', {
    url: "/5",
    views: {
      'menuContent': {
        templateUrl: "templates/5.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist6', {
    url: "/6",
    views: {
      'menuContent': {
        templateUrl: "templates/6.html",
        controller: 'ChecklistCtrl'
      }
    }
  })

.state('app.checklist7', {
    url: "/7",
    views: {
      'menuContent': {
        templateUrl: "templates/7.html",
        controller: 'ChecklistCtrl'
      }
    }
  });

  $urlRouterProvider.otherwise('/app/checklists');
});
