angular.module('checklist.controllers', ['ionic.utils','ngCordova'])

.controller('ChecklistCtrl', function($scope, $localstorage, $log, $cordovaAdMob, $cordovaEmailComposer) {
  
  $scope.checklists = [
    { title: 'Pre-assessment', id: 1, color:'#FFDFF8' },
    { title: 'Outbrief', id: 2, color:'#FFDFDF' },
    { title: 'Walk round', id: 3, color:'#CACAFF' },
    { title: 'Pre-induction', id: 4, color:'#D6F8DE' },
    { title: 'Post-induction', id: 5, color:'#FFFFC8' },
    { title: 'Pre-waking', id: 6, color:'#F0CBFE' },
    { title: 'After waking', id: 7, color:'#B3FF99' }
  ]

  $scope.uNumbers = [
  	{ number: $localstorage.get('stored0')},
    { number: $localstorage.get('stored1')},
    { number: $localstorage.get('stored2')},
    { number: $localstorage.get('stored3')},
    { number: $localstorage.get('stored4')}
  ];

  $scope.saveNumbers = function(noChoice, noVal){
    storethis = 'stored' + noChoice;
    $localstorage.set(storethis, noVal);
  }

  $scope.analyticOnOff = $localstorage.get('analyticsOnOff');
  $scope.analyticOnOff = ($scope.analyticOnOff == 'true' ? true : false);

  $log.log("Analytics initialised at", $scope.analyticOnOff);

  $scope.toggleAnalytics = function(isChecked) { 
   $localstorage.set('analyticsOnOff', isChecked);
   $log.log("Analytics is ", isChecked);
  }

  $scope.sendEmail = function(){
    $cordovaEmailComposer.open({
        to:      'subjective.effect@gmail.com',
        subject: 'Anaesthetic Reference Cards',
        body:    ''
    }); 
  }   

});

